@import url('https://fonts.googleapis.com/css2?family=Quicksand:wght@300;400;500;600;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Caveat:wght@400;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Bungee&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Press+Start+2P&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Play:wght@400;700&display=swap');

body {
    background-color: #000033;
    /* background-image: url('../images/bg.png');
    background-repeat: repeat;
    background-position: left top; */
    color: #ffffff;

    font-family: 'Play', sans-serif;
    font-weight: 400;
    font-size: 18px;
}

a, a:link, a:hover, a:focus {
    cursor: pointer;
}

[disabled=""], [disabled],
[disabled=""]:hover, [disabled]:hover,
[disabled=""]:focus, [disabled]:focus,
[disabled=""]:link, [disabled]:link {
    cursor: not-allowed;
    color: rgba(0, 0, 0, .5) !important;
}

.logo img {
    width: 250px;
}

.navbar {
    font-family: 'Play', sans-serif;

    padding-left: 100px;
    padding-right: 100px;
    padding-top: 20px;
    padding-bottom: 20px;

    background-color: transparent;
    
    width: 100%;
}

.navbar > a, .navbar > a:link {
    color: #dcdcdc;
    text-decoration: none;
}

.navbar > a:hover, .navbar > a:focus {
    color: #ffffff;
}

.navbar img.logo {
    max-width: 150px;
}

.navbar .navbar-toggler {
    border-radius: 5px;

    border: 1px solid #ffffff;
    color: #ffffff;
}

.navbar-nav > li {
    position: relative;

    margin-left: 4px;
    margin-right: 4px;
}

.navbar-nav li > a, .navbar-nav li > a:link {
    color: #dcdcdc;
}

.navbar-nav li > a:hover, .navbar-nav li > a:focus, .navbar-nav li.active a, .navbar-nav li.active a:link, .navbar-nav li.active a:hover, .navbar-nav li.active a:focus {
    color: #ffffff;
}

.navbar-nav li > a:not(.dropdown-toggle)::after, .navbar-nav li > a:not(.dropdown-toggle):link::after {
    content: '';
    display: block;
    width: 0;
    height: 2px;
    background: #eb3232;
    transition: width .3s;
}

.navbar-nav li > a:not(.dropdown-toggle):hover::after, .navbar-nav li > a:not(.dropdown-toggle):focus::after {
    width: 100%;
}

.navbar-nav li.active a::after, .navbar-nav li.active a:link::after, .navbar-nav li.active a:hover::after, .navbar-nav li.active a:focus::after {
    content: '';
    display: block;
    width: 100%;
    height: 2px;
    background: #eb3232;
    transition: width .3s;
}

.dropdown-menu {
    z-index: 10000;
}

.mini-avatar {
    width: 100%;
    max-width: 80px;
}

.avatar {
    width: 100%;
    max-width: 220px;
}

.copyright {
    text-align: center;
    margin-top: 15px;
}

.gameWindow {
    display: block;
    width: 100%;

    margin-top: 15px;
}

.gameWindow .behindMapPanel {
    position: relative;

    display: block;
    float: left;

    border: 1px solid white;
    background-color: black;

    width: 610px;
    height: 610px;

    margin-right: 15px;

    overflow: hidden;
}

.gameWindow .mapPanel {
    position: relative;

    width: 608px;
    height: 608px;

    overflow: hidden;
}

.gameWindow .mapPanel .loadingScreen {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;

    background-color: black;
    z-index: 99999;
}

.gameWindow .rightPanel {
    display: block;
    float: left;

    width: calc(100% - 625px);
    height: auto;
}

.gameWindow .mapPanel #oPlayer,
.gameWindow .mapPanel [id^='oPlayer_'],
.gameWindow .mapPanel [id^='oNPC_'] {
    transition: left linear .25s, top linear .25s;
    position: absolute;

    border-radius: 64px;

    left: 0;
    top: 0;

    z-index: 1002;
}

.gameWindow .mapPanel [id^='oPlayer_'],
.gameWindow .mapPanel [id^='oNPC_'] {
    cursor: pointer;
    z-index: 1001;
}

.gameWindow .mapPanel [id^='oTeleport_'],
.gameWindow .mapPanel [id^='oQuest_'],
.gameWindow .mapPanel [id^='oDungeon_'] {
    transition: left linear .25s, top linear .25s;
    pointer-events: none;

    background-color: transparent;
    color: red;

    position: absolute;
    font-size: 24px;

    border-radius: 64px;

    left: 0;
    top: 0;

    width: 32px;
    height: 32px;

    z-index: 1010;
}

.gameWindow .mapPanel #map_down {
    transition: left linear .25s, top linear .25s;
    
    position: absolute;

    left: 0;
    top: 0;

    z-index: 1001;
    pointer-events: none;
}

.gameWindow .mapPanel #map_up {
    transition: left linear .25s, top linear .25s;
    
    position: absolute;

    left: 0;
    top: 0;
    
    z-index: 1003;
    pointer-events: none;
}

.gameWindow .rightPanel .dialogueBox {
    border: 1px solid white;
    background-color: black;

    padding: 10px 15px;
}

.gameWindow .rightPanel .dialogueBox .nextStep {
    word-wrap: break-word;
    white-space: normal;
}

.gameWindow .rightPanel .locationData {
    border: 1px solid white;
    background-color: black;
    
    margin-top: 10px;

    padding: 10px 15px;
}

.gameWindow .rightPanel .dungeonData > div {
    border: 1px solid white;
    background-color: black;
    
    margin-top: 10px;

    padding: 10px 15px;
}

.gameWindow .rightPanel .mainQuestData {
    border: 1px solid white;
    background-color: black;

    margin-top: 10px;

    padding: 10px 15px;
}

.gameWindow .rightPanel .enemiesData {
    border: 1px solid white;
    background-color: black;

    margin-top: 10px;

    padding: 10px 15px;
}

.gameWindow .rightPanel .playersData {
    border: 1px solid white;
    background-color: black;

    margin-top: 10px;

    padding: 10px 15px;
}

.gameWindow .rightPanel .sideQuestData {
    border: 1px solid white;
    background-color: black;

    margin-top: 10px;

    padding: 10px 15px;
}

.gameWindow .legendPanel {
    float: left;
    overflow: hidden;

    width: 100%;
    border: 1px solid white;
    
    margin-top: 10px;
    padding: 15px;

    background-color: black;
    color: white;
}

#battleWindow {
    position: fixed;

    background-color: #000000;
    background-image: url('../images/bg.png');
    background-repeat: repeat;
    background-position: left top;
    color: #ffffff;

    width: 100%;
    height: 100%;

    left: 0;
    top: 0;

    z-index: 999999;

    margin-left: auto;
    margin-right: auto;

    text-align: center;
}

#battleWindow .log {
    display: block;
    text-align: left;

    border: 1px solid white;
    background-color: black;
    color: white;

    width: 600px;
    height: 320px;

    overflow: auto;

    margin-left: auto;
    margin-right: auto;
}

#battleWindow .log .team0 {
    padding: 5px 10px;

    background-color: #227722;
    margin-bottom: 2px;
}

#battleWindow .log .team1 {
    padding: 5px 10px;

    background-color: #772222;
    margin-bottom: 2px;
}

#battleWindow .log .finish {
    padding: 5px 10px;

    background-color: black;
    color: red;
    
    margin-bottom: 2px;
}

#battleWindow .closeBattle {
    display: inline-block;
    margin-top: 10px;

    cursor: pointer;
    vertical-align: top;

    background-color: #cc4545;
    color: white;

    border-radius: 5px;

    padding: 8px 16px;
}

.skillContainer {
    clear: both;
}

.skill_box,
.item_box {
    display: inline-flex;
    cursor: pointer;
    
    background-color: black;
    color: white;

    border-radius: 8px;

	width: 100px;
	height: 100px;

	margin-right: 15px;
    margin-top: 15px;
    
    align-items: center;
    justify-content: center;

    vertical-align: top;
}

.skill_box img,
.item_box img {
    width: 75px;
    height: 75px;
}

.popover_game {
    width: 100%;
    max-width: 400px;
    z-index: 9999;
    top: -15px !important;
}

.popover_game .body {
    padding: 15px;
    background-color: rgba(0, 0, 0, .7);

    border: 1px solid white;
}

.popover_game #divider {
    height: 1px;
    margin-left: -15px;
    margin-right: -15px;
    margin-bottom: 7px;
    margin-top: 7px;

    border-top: 1px solid white;
}

.popover_game .title {
    text-align: center;
    font-size: 18px;
}

.popover_game .content {
    font-size: 12px;
    text-align: center;

    height: 100%;
    max-height: 200px;

    overflow: auto;
}

.popover_game .footer {
    text-align: center;
}

.popover_game .footer .button {
    font-size: 12px;
}

.popover_game .footer .text-danger {
    margin-top: 10px;
}

.popover_game .footer .text-success {
    margin-top: 10px;
}

.mapPanel .textBox,
.gameContent .textBox {
    position: absolute;
    left: 0;
    top: 0;

    width: 100%;
    height: 100%;

    overflow: auto;

    background-color: rgba(0, 0, 0, .7);
    color: white;

    z-index: 1000000;
}

.mapPanel .textBox .textWindow,
.gameContent .textBox .textWindow {
    background-color: black;
    border: 1px solid white;

    margin-left: 30px;
    margin-right: 30px;
    margin-top: 15px;
    margin-bottom: 15px;

    padding: 15px;
    min-height: 50px;
}

.mapPanel .textBox .responseWindow,
.gameContent .textBox .responseWindow {
    background-color: black;
    border: 1px solid white;

    margin-left: 30px;
    margin-right: 30px;

    padding: 15px;
    min-height: 50px;
}

[id^='noty_'] {
    display: inline-block;

    z-index: 999999;
    position: fixed;
    right: 15px;
    bottom: 15px;
}

.alert-error-game {
    display: inline-block;

    border-radius: 0;
    
    background-color: #772222;
    color: white;
}

.alert-success-game {
    display: inline-block;

    border-radius: 0;
    
    background-color: #227722;
    color: white;
}

.chat {
    width: 100%;
    height: 100%;
}

.chat * {
    pointer-events: all;
}

.chatButton {
    background-color: black;
    padding: 6px 12px;

    width: 150px;

    cursor: pointer;
}

.chatWindow {
    position: relative;
    border: 1px solid white;

    width: 100%;
    height: 100%;

    background-color: black;
    color: white;
}

.chatWindow .chatBookmarks {
    position: absolute;
    left: 0;
    top: 0;

    width: 100%;

    border-bottom: 1px solid white;
    height: 30px;
}

.chatWindow .chatContent {
    padding: 6px 12px;
    overflow: auto;

    position: absolute;
    left: 0px;
    top: 30px;
    height: calc(100% - 65px);
}

.chatWindow .chatInput {
    position: absolute;

    left: 0px;
    bottom: 0px;

    border: 1px solid white;
    width: 100%;
    height: 35px;
}

.chatWindow .chatInput input {
    width: 100%;
    border: 0;

    background-color: black;
    color: white;
}

.bookmark {
    padding: 4px 9px;
}

.bookmark.active {
    background-color: white;
    color: black !important;
}

.newDM {
    background-color: red;
    color: white;
}

.newDMtext {
    color: red !important;
}

.DMWindow {
    border: 1px solid white;

    background-color: black;
    color: white;

    position: fixed;
    z-index: 15000;

    width: 320px;
    height: 320px;

    left: calc(50% - 160px);
    top: calc(50% - 160px);

    padding: 15px;
    overflow: auto;
}

.shopWindow {
    position: fixed;

    left: calc(50% - 320px);
    top: calc(50% - 240px);
    z-index: 15000;

    width: 640px;
    height: 480px;

    overflow: auto;
    padding: 15px;

    border: 1px solid white;
    background-color: black;
}

.freeMovableWindow {
    overflow: hidden;

    position: fixed;
    z-index: 10;

    border: 1px solid white;
    background-color: black;

    padding: 15px;
}

.freeMovableWindow .content {
    overflow: auto;
}

.freeMovableWindow .grabber i,
.freeMovableWindow .closeMovableWindow i,
.freeMovableWindow .grabResize i {
    font-size: 24px;
}

.freeMovableWindow .grabResize,
.freeMovableWindow .grabResize:hover {
    cursor: nwse-resize;
}

.shopWindow .header {
    margin-bottom: 25px;
}

.shopWindow .buyPanel {
    display: inline-block;
    text-align: center;
    vertical-align: top;
    
    width: 296px;
    overflow: auto;

    margin-right: 10px;
}

.shopWindow .sellPanel {
    display: inline-block;
    text-align: center;
    vertical-align: top;

    width: 296px;
    overflow: auto;
}

.shopWindow .itemBox {
    position: relative;

    display: inline-block;
    vertical-align: top;

    width: 48px;
    height: 48px;

    margin-right: 5px;
    margin-bottom: 5px;

    border: 1px solid white;
    cursor: pointer;
}

.shopWindow .button {
    display: block;
    margin-top: 10px;

    border: 1px solid white;
    padding: 6px 14px;
}

.shopWindow .add {
    position: absolute;
    top: 0;
    right: 0;

    font-size: 12px;
    padding: 1px;

    background-color: rgba(0, 127, 0, .6);
    color: white;
}

.shopWindow .remove {
    position: absolute;
    top: 0;
    left: 0;

    font-size: 12px;
    padding: 1px;

    background-color: rgba(127, 0, 0, .6);
    color: white;
}

.shopWindow .marked {
    position: absolute;
    bottom: 0;
    right: 0;

    font-size: 12px;
    padding: 1px;

    background-color: rgba(0, 127, 0, .6);
    color: white;
}

.bg-black {
    background-color: black;
}

.mapTooltip .arrow {
    display: none;
}

.mapTooltip .tooltip-inner {
    border: 1px solid yellow;
    background-color: rgba(63, 63, 191, .75);
    color: white;

    margin-top: 10px;
}

.timerW {
    display: flex;

    width: 100%;
    height: 100%;

    position: fixed;
    left: 0;
    top: 0;

    z-index: 10;
}

.timerW .timerWindow {
    margin: auto;
    
    width: 100%;
    height: 100%;

    max-width: 400px;
    max-height: 400px;
}

.timerBar {
    background-color: black;
    padding: 2px;

    border: 1px solid white;
}

.freeMovableWindow .chooseHotkey {
    cursor: pointer;
    pointer-events: all;

    margin-bottom: 5px;
}

.freeMovableWindow .keyShortcuts {
    margin-bottom: 10px;
}

.gameWindow .rightPanel .keyShortcuts > div,
.freeMovableWindow .keyShortcuts > div {
    position: relative;
    width: 50px;
    height: 50px;

    border: 1px solid white;
    background-color: black;

    margin-right: 5px;
}

.gameWindow .rightPanel .keyShortcuts > div > img,
.freeMovableWindow .keyShortcuts > div > img {
    position: absolute;

    left: 0px;
    top: 0px;

    width: 48px;
    height: 48px;
}

.gameWindow .rightPanel .keyShortcuts > div > label,
.freeMovableWindow .keyShortcuts > div > label {
    position: absolute;
    z-index: 15;
    text-shadow: 0 0 2px #000000, 0 0 3px #000000, 0 0 4px #000000;

    left: 3px;
    top: 0px;
}

.gameWindow .rightPanel .keyShortcuts > div > .marked,
.freeMovableWindow .keyShortcuts > div > .marked {
    position: absolute;
    bottom: 0;
    right: 0;
    z-index: 15;

    font-size: 12px;
    padding: 1px;

    background-color: rgba(0, 127, 0, .6);
    color: white;
}

.hotkeyMenu .itemBox {
    display: inline-block;
    vertical-align: top;

    width: 48px;
    height: 48px;

    margin-right: 5px;
    margin-bottom: 5px;

    border: 1px solid white;
    cursor: pointer;
}

.hotkeyMenu .itemBox img {
    width: 100%;
    height: 100%;
}

.gameWindow .constPanel {
    position: absolute;
    left: 0;
    top: 0;
    z-index: 11000;
    pointer-events: none;

    transition: left linear .25s, top linear .25s;
}

.gameWindow .constPanel .clickPoint {
    position: relative;
    left: 0;
    top: 0;
    z-index: 11000;

    width: 32px;
    height: 32px;

    color: red;
    font-size: 32px;

    text-align: center;
    pointer-events: none;
}

.dailyRewardWindow {
    position: fixed;
    
    left: 0;
    top: 0;
    z-index: 99999;
}

/**
* Game 0.3
**/
#gamePlace {
    display: flex;

    /* background-image: url('/assets/images/bg-03-n.jpg'); */
    background-image: linear-gradient(135deg, rgba(0, 0, 63, 1), rgba(40, 40, 113, 1));
    background-size: 100% auto;
    background-position: center center;
    background-repeat: no-repeat;

    width: 100%;
    height: 100%;

    position: fixed;
    left: 0;
    top: 0;

    z-index: 1;
    overflow: auto;
}

#gamePlace > .gameContent {
    margin: auto;
}

.bg-sevenballs-1 {
    font-family: 'Quicksand', Arial, sans-serif;
    background-image: linear-gradient(135deg, rgba(0, 0, 0, .9), rgba(20, 20, 60, .75));
}

.characterChooseBlock {
    cursor: pointer;
    position: relative;

    display: inline-block;
    width: 210px;
    height: 245px;

    margin-right: 10px;
    margin-bottom: 10px;

    border: 1px solid white;
}

.characterChooseBlock img {
    position: absolute;
    
    left: 0;
    top: 0;
    
    width: 100%;
}

.characterChooseBlock .cData {
    position: absolute;
    width: 100%;

    left: 0;
    bottom: 0;

    padding-top: 10px;
    padding-bottom: 10px;

    padding-left: 6px;
    padding-right: 6px;

    background-color: black;
    color: white;

    border: 1px solid white;
}

.gameContent .canva {
    background-color: black;

    margin: auto;
}

.webWindow {
    overflow: auto;

    position: fixed;
    left: 0;
    top: 0;

    display: flex;
    width: 100%;
    height: 100%;
    
    z-index: 99999;
}

.webWindow .webWindowContext {
    margin: auto;
    padding: 15px;
    
    background-color: darkblue;
    color: white;

    border: 1px solid white;
}

.gameContent .questBulb {
    display: flex;
    position: fixed;

    left: 0;
    top: 0;

    width: 100%;
    height: 100%;

    z-index: 999999;
}

.gameContent .questBulb .bulbWindow {
    overflow: auto;
    border: 1px solid white;

    background-color: black;
    color: white;
    
    min-width: 50px;
    min-height: 50px;
    max-width: 600px;
    max-height: 400px;

    margin: auto;
}

.gameContent .questBulb .bulbWindow .bulbHeader {
    padding: 15px;
}

.gameContent .questBulb .bulbWindow .bulbBody {
    padding: 15px;
}

.gameContent .questBulb .bulbWindow .QBulbNextStep,
.gameContent .questBulb .bulbWindow .aButton {
    display: inline-block;

    border: 1px solid white;
    padding: 8px 12px;

    margin-top: 8px;
}

.rightPanel {
    display: flex;
    position: fixed;
    right: 0px;
    top: 0px;

    width: 100%;
    height: 100%;

    z-index: 11;
    
    pointer-events: none;
}

.rightPanel .part2 {
    border: 1px solid white;
    padding: 10px 15px;

    max-width: 300px;
    overflow: auto;
}

.rightPanel .statsList,
.rightPanel .questsList,
.rightPanel .hotkeyList,
.rightPanel .chatPanel,
.rightPanel .battlePanel,
.rightPanel .dailyReward,
.rightPanel .exitFromDungeon,
.rightPanel .minimapTrigger,
.rightPanel .legendTrigger,
.rightPanel .characterPanel,
.rightPanel .part2 * {
    pointer-events: all;
    z-index: 12;
}

.dungeonWindow {
    position: fixed;
    left: 0;
    top: 0;

    width: 100%;
    height: 100%;

    z-index: 100000;
    display: flex;
}

.dungeonWindow .dungeonData {
    margin: auto;
    width: 100%;
    height: 100%;

    max-width: 640px;
    height: 480px;
}

.dungeonWindow .dungeonData > div {
    border: 1px solid white;
    background-color: black;
    
    margin-top: 10px;

    padding: 10px 15px;
}

.minimap {
    pointer-events: none;
    position: fixed;
    left: 0;
    top: 0;

    width: 100%;
    height: 100%;

    z-index: 100000;
    display: flex;
}

.minimapWindow {
    margin: auto;
    width: 100%;
    height: 100%;

    max-width: 154px;
    height: 154px;

    border: 1px solid white;
    background-color: black;
}

.companion_container {
    display: flex;

    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;

    z-index: 1100;
}

.companion_container .companion_window {
    margin: auto;
    padding: 15px;

    min-width: 100px;
    min-height: 100px;
    max-width: 100%;
    max-height: 100%;

    border: 1px solid white;

    background-color: black;
    color: white;
}

@media(max-width: 1199px)
{
    .shopWindow {
        overflow: auto;

        left: calc(50% - 160px);
        top: calc(50% - 160px);

        width: 320px;
        height: 320px;
    }
}

@media(max-width: 1199px)
{
    .navbar {
        padding-left: 15px;
        padding-right: 15px;
    }
}